Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.config
Class ProblemBenchmarksConfig

    java.lang.Object
      org.drools.planner.benchmark.config.ProblemBenchmarksConfig

    public class ProblemBenchmarksConfig

extends Object

Constructor Summary
`ProblemBenchmarksConfig()`

Method Summary
`List<ProblemBenchmark>` | `buildProblemBenchmarkList(List<ProblemBenchmark> unifiedProblemBenchmarkList, SolverBenchmark solverBenchmark)`
`List<File>` | `getInputSolutionFileList()`
`Class<ProblemIO>` | `getProblemIOClass()`
`List<ProblemStatisticType>` | `getProblemStatisticTypeList()`
`List<Class>` | `getXstreamAnnotatedClassList()`
`void` | `inherit(ProblemBenchmarksConfig inheritedConfig)`
`void` | `setInputSolutionFileList(List<File> inputSolutionFileList)`
`void` | `setProblemIOClass(Class<ProblemIO> problemIOClass)`
`void` | `setProblemStatisticTypeList(List<ProblemStatisticType> problemStatisticTypeList)`
`void` | `setXstreamAnnotatedClassList(List<Class> xstreamAnnotatedClassList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProblemBenchmarksConfig

    public ProblemBenchmarksConfig()

Method Detail

### getProblemIOClass

    public Class<ProblemIO> getProblemIOClass()

### setProblemIOClass

    public void setProblemIOClass(Class<ProblemIO> problemIOClass)

### getXstreamAnnotatedClassList

    public List<Class> getXstreamAnnotatedClassList()

### setXstreamAnnotatedClassList

    public void setXstreamAnnotatedClassList(List<Class> xstreamAnnotatedClassList)

### getInputSolutionFileList

    public List<File> getInputSolutionFileList()

### setInputSolutionFileList

    public void setInputSolutionFileList(List<File> inputSolutionFileList)

### getProblemStatisticTypeList

    public List<ProblemStatisticType> getProblemStatisticTypeList()

### setProblemStatisticTypeList

    public void setProblemStatisticTypeList(List<ProblemStatisticType> problemStatisticTypeList)

### buildProblemBenchmarkList

    public List<ProblemBenchmark> buildProblemBenchmarkList(List<ProblemBenchmark> unifiedProblemBenchmarkList,
                                                            SolverBenchmark solverBenchmark)

### inherit

    public void inherit(ProblemBenchmarksConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.